org.apache.storm.cassandra.executor.impl

## Class SingleAsyncResultHandler

- java.lang.Object
- - org.apache.storm.cassandra.executor.impl.SingleAsyncResultHandler

- All Implemented Interfaces:
    Serializable, AsyncResultHandler<Tuple>

      public class SingleAsyncResultHandler
      extends Object
      implements AsyncResultHandler<Tuple>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.storm.cassandra.executor.AsyncResultHandler

      `NO_OP_HANDLER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleAsyncResultHandler(ExecutionResultHandler handler)` Creates a new `SingleAsyncResultHandler` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `failure(Throwable t, Tuple input)` This method is responsible for failing specified inputs.
    `void` | `flush(OutputCollector collector)`
    `void` | `success(Tuple input)` This method is responsible for acknowledging specified inputs.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleAsyncResultHandler

          public SingleAsyncResultHandler(ExecutionResultHandler handler)

      Creates a new `SingleAsyncResultHandler` instance.

  - ### Method Detail

    - #### failure

          public void failure(Throwable t,
                              Tuple input)

      This method is responsible for failing specified inputs.

      The default method does no-operation.

      Specified by:
        `failure` in interface `AsyncResultHandler<Tuple>`
      Parameters:
        `t` - The cause the failure.
        `input` - The input tuple proceed.

    - #### success

          public void success(Tuple input)

      This method is responsible for acknowledging specified inputs.

      The default method does no-operation.

      Specified by:
        `success` in interface `AsyncResultHandler<Tuple>`
      Parameters:
        `input` - The input tuple proceed.

    - #### flush

          public void flush(OutputCollector collector)

      Specified by:
        `flush` in interface `AsyncResultHandler<Tuple>`

Copyright © 2021 The Apache Software Foundation. All rights reserved.